curl --request POST \
--url 'https://api.adside.ai/linkedin/mcp#create_linkedin_campaign' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"campaign_group_id": "<string>",
"name": "<string>",
"type": "TEXT_AD",
"objective_type": "BRAND_AWARENESS",
"cost_type": "CPM",
"account_id": "<string>",
"status": "DRAFT",
"daily_budget_amount": "<string>",
"daily_budget_currency": "<string>",
"total_budget_amount": "<string>",
"total_budget_currency": "<string>",
"unit_cost_amount": "0",
"unit_cost_currency": "<string>",
"optimization_target_type": "<string>",
"locale_country": "US",
"locale_language": "en",
"offsite_delivery_enabled": false,
"audience_expansion_enabled": true,
"run_schedule_start": 123,
"run_schedule_end": 123,
"creative_selection": "ROUND_ROBIN",
"format": "<string>",
"associated_entity": "<string>",
"targeting_criteria": {
"include": {
"and": [
{
"or": {}
}
]
},
"exclude": {
"or": {}
}
}
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}Create a new campaign in a LinkedIn Ad Account. Requires campaign group, name, type, objective, cost type, locale, and budget. Optionally set targeting, schedule, and format.
curl --request POST \
--url 'https://api.adside.ai/linkedin/mcp#create_linkedin_campaign' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"campaign_group_id": "<string>",
"name": "<string>",
"type": "TEXT_AD",
"objective_type": "BRAND_AWARENESS",
"cost_type": "CPM",
"account_id": "<string>",
"status": "DRAFT",
"daily_budget_amount": "<string>",
"daily_budget_currency": "<string>",
"total_budget_amount": "<string>",
"total_budget_currency": "<string>",
"unit_cost_amount": "0",
"unit_cost_currency": "<string>",
"optimization_target_type": "<string>",
"locale_country": "US",
"locale_language": "en",
"offsite_delivery_enabled": false,
"audience_expansion_enabled": true,
"run_schedule_start": 123,
"run_schedule_end": 123,
"creative_selection": "ROUND_ROBIN",
"format": "<string>",
"associated_entity": "<string>",
"targeting_criteria": {
"include": {
"and": [
{
"or": {}
}
]
},
"exclude": {
"or": {}
}
}
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.